-- 
-- WIKINDX : Bibliographic Management system.
-- @link http://wikindx.sourceforge.net/ The WIKINDX SourceForge project
-- @author The WIKINDX Team
-- @copyright 2018 Stéphane Aulery <lkppo@users.sourceforge.net>
-- @license https://creativecommons.org/licenses/by-nc-sa/2.0/legalcode CC-BY-NC-SA 2.0
-- 
-- Add fields
-- 

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_misc ADD `quarantine` VARCHAR(1) NOT NULL DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%resource_misc ADD `accessesPeriod` INT(11) NOT NULL DEFAULT '1';

ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `quarantine` VARCHAR(1) NOT NULL DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `noSort` MEDIUMTEXT DEFAULT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `searchFilter` MEDIUMTEXT DEFAULT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `listlink` VARCHAR(1) NOT NULL DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `emailStatistics` VARCHAR(1) NOT NULL DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `statisticsCompiled` DATETIME DEFAULT '00/00/00 00:00:00';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `metadataAllow` VARCHAR(1) DEFAULT 'Y';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `metadataUserOnly` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `denyReadOnly` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `readOnlyAccess` VARCHAR(1) DEFAULT 'Y';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `originatorEditOnly` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `globalEdit` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `errorReport` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `printSql` VARCHAR(1) DEFAULT 'N';
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `captchaPublicKey` VARCHAR(255) DEFAULT NULL;
ALTER TABLE %%WIKINDX_DB_TABLEPREFIX%%config ADD `captchaPrivateKey` VARCHAR(255) DEFAULT NULL;

UPDATE %%WIKINDX_DB_TABLEPREFIX%%config
SET statisticsCompiled = DATE_FORMAT(NOW() ,'%Y-%m-01 00:00:00');
