<!-- begin footer template -->
{**
 * WIKINDX : Bibliographic Management system.
 * @link http://wikindx.sourceforge.net/ The WIKINDX SourceForge project
 * @author The WIKINDX Team
 * @copyright 2017 Mark Grimshaw <sirfragalot@users.sourceforge.net>
 * @license https://creativecommons.org/licenses/by-nc-sa/2.0/legalcode CC-BY-NC-SA 2.0
 *}

{* $inline3 is one of 4 containers for inline plugin output *}
{if isset($inline3)}<div class="inline3">{$inline3}</div>{/if}

{* Optional $footerInfo is an array with members: 'wikindxVersion', 'numResources', 'numQueries', 'scriptTime', 'username', 'style' and 'bibliography' *}
{assign var=footerInfo value=$footerInfo|default:false}
<div class="footerInfo"><a class="link" href="{$wkx_link}" target="_blank">{$wkx_title}</a>&nbsp;{if isset($footerInfo)}{"&nbsp;|&nbsp;"|implode:$footerInfo}{/if}</div>

{* $inline4 is one of 4 containers for inline plugin output *}
{if isset($inline4)}<div class="inline4">{$inline4}</div>{/if}

{* START EMAIL CONTACT DISPLAY *}
{* Display contact email?  Usually for front page only. *}
{* mailto() is a Smarty function that obfuscates email addresses making them difficult to lift by spiders *}

{if isset($contactEmail)}
<div class="contactBlock">Contact: {mailto address="$contactEmail" encode="javascript"}</div>
{/if}
{* END EMAIL CONTACT DISPLAY *}
<!-- end footer.tpl -->