{**
 * WIKINDX : Bibliographic Management system.
 * @link http://wikindx.sourceforge.net/ The WIKINDX SourceForge project
 * @author The WIKINDX Team
 * @copyright 2017-2019 Mark Grimshaw <sirfragalot@users.sourceforge.net>
 * @license https://creativecommons.org/licenses/by-nc-sa/2.0/legalcode CC-BY-NC-SA 2.0
 *}

<table class="contentParaphrases">
<tr>
	<td>
		<strong>
		<span class="small">{$resourceSingle.paraphrasesTitle}
		</span></strong>{if isset($resourceSingle.paraphrasesEditLink)}&nbsp;&nbsp;{$resourceSingle.paraphrasesEditLink}{/if}
	</td>
</tr>

{if isset($resourceSingle.paraphrases.0)}
{section loop=$resourceSingle.paraphrases name=pRows}
<tr class="{cycle values="alternate3,alternate4"}">
	<td>
		{if array_key_exists('editLink', $resourceSingle.paraphrases[pRows])}
		{$resourceSingle.paraphrases[pRows].editLink}&nbsp;
		{/if}
		
		{if array_key_exists('details', $resourceSingle.paraphrases[pRows])}
			<strong>{$resourceSingle.paraphrases[pRows].details}</strong>&nbsp;&nbsp;
		{/if}
		{if array_key_exists('paraphrase', $resourceSingle.paraphrases[pRows])}
		{$resourceSingle.paraphrases[pRows].paraphrase}
		{/if}
		{if array_key_exists('userAdd', $resourceSingle.paraphrases[pRows])}
			&nbsp;&nbsp;<span class="hint">{$resourceSingle.paraphrases[pRows].userAdd}</span>
		{/if}
		{if array_key_exists('keywords', $resourceSingle.paraphrases[pRows])}
			<br><strong>{$resourceSingle.paraphrases[pRows].keywordTitle}:</strong>&nbsp;&nbsp;
			{"&nbsp;"|implode:$resourceSingle.paraphrases[pRows].keywords}
		{/if}
		{if array_key_exists('comments', $resourceSingle.paraphrases[pRows])}
			<br><strong>{$resourceSingle.paraphrases[pRows].commentTitle}:</strong>
			{section loop=$resourceSingle.paraphrases[pRows].comments name=cRows}
				<br>{$resourceSingle.paraphrases[pRows].comments[cRows].comment}
				&nbsp;&nbsp;<span class="hint">{$resourceSingle.paraphrases[pRows].comments[cRows].userAdd}
				&nbsp;({$resourceSingle.paraphrases[pRows].comments[cRows].timestamp})</span>
			{/section}
		{/if}
	</td>
</tr>
{/section}
{/if}
</table>